<?php

namespace App\Http\Requests\Recruitment;

use Illuminate\Foundation\Http\FormRequest;

class VacancyRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        return [
            'full_name' => 'required',
            'company' => 'required',
            'email' => 'required',
            'no_of_position' => 'required',
            'entered_captcha_code' => ['required','same:displayed_captcha_code']
        ];
    }
    public function messages()
    {
        return [
            'full_name.required' => 'Full name is required.',
            'company.required' => 'Your company is required.',
            'email.required' => 'Email is required.',
            'no_of_position.required' => 'Number of position is required',
            'entered_captcha_code.required' => 'Please enter captcha.',
            'entered_captcha_code.same' => 'Captcha is incorrect.'
        ];
    }
}
